Bug 643275 - translations of <indexterm>s are not always used
translations of <indexterm>s are not always used
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-15 02:43 EDT by Ruediger Landmann
Modified: 2010-11-23 23:16 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.3-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 18:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-10-15 02:43:48 EDT
Description of problem:
When building a translated document that contains <indexterm>s, the translations of the <indexterm>s in the PO files are not used, so entries appear in the Index in English.

Version-Release number of selected component (if applicable):
2.2

How reproducible:
Not sure -- noticed in Red Hat brand package; different books seem to produce different results.

Steps to Reproduce:
1. Check out the source for the Red Hat brand: svn co http://svn.fedorahosted.org/svn/publican/trunk/publican-redhat

2. Build the RPM: publican package --binary

3. Look at the Feedback.xml file for any language other than English
  
Actual results:
Index terms are in English


Expected results:
Index terms are in the translated language
Comment 1 Jeff Fearn 2010-10-15 03:06:41 EDT
If an index term was inside a non translatable node, like a section, then it would be skipped during the message merge process.

indexterms inside other translatable nodes, or indexterms that were root nodes, would not be skipped.

Fixed message merge code to detect indexterm inside untranslated nodes.

Fixed in build: 2.2-0%{?dist}.t28
Comment 2 Ruediger Landmann 2010-10-21 02:05:25 EDT
Thanks Jeff -- verified fix by building Japanese translation of Red Hat Enterprise Linux 6 Installation Guide -- translated indexterms are now used throughout the index.

Verified with Publican 2.2-0.fc13.t40
Comment 3 Fedora Update System 2010-10-25 23:44:54 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 4 Fedora Update System 2010-10-27 18:47:36 EDT
publican-2.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.